import { Typography } from '@mui/material'
import { Fragment, FunctionComponent } from 'react'

export interface ShowErrorProps {
    err?: string
}

// Utility component for showing error messages
const ShowErrorIfPresent: FunctionComponent<ShowErrorProps> = ({ err }) => (
    <Fragment>
        {err ? (
            <Typography align="center" variant="h6" fontWeight="400">
                {err}
            </Typography>
        ) : null}
    </Fragment>
)

export default ShowErrorIfPresent
